## List payments

### cURL

```
curl --request GET \
  --url 'https://payouts.api.trykarat.com/payments?limit=100' \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://payouts.api.trykarat.com/payments?limit=100"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/payments?limit=100', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response

#### Successful Response (200)
```json
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "description": "<string>",
      "referenceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "statusUpdates": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "processing",
          "reason": "<string>",
          "date": "2023-11-07T05:31:56Z"
        }
      ],
      "recipient": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "jsmith@example.com",
        "autoAcceptPayouts": true
      },
      "payoutLink": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}
```

#### Error Responses

##### Invalid Amount (400)
```json
{
  "error": {
    "message": "amount: amount must be positive"
  }
}
```

##### Invalid API Key (401)
```json
{
  "error": {
    "message": "Invalid api key"
  }
}
```

### Authorization

Authorization
- **Type:** string
- **In:** header
- **Required:** Pass your API key as a bearer token: `Authorization: Bearer <API_KEY>`.

### Query Parameters

- **limit**  
    - **Type:** integer  
    - **Default:** 100  
    - Maximum number of results to return (1 - 100).

- **offset**  
    - **Type:** integer  
    - **Default:** 0  
    - Number of results to skip for pagination.

- **recipientId**  
    - **Type:** string<uuid>  
    - Filter payments by recipient ID.

- **batchId**  
    - **Type:** string<uuid>  
    - Filter payments by the batch they were created in.

- **referenceId**  
    - **Type:** string  
    - Filter payments by your own reference ID.
